    Set the chatter level used by X-Spec.

set_xschatter(level)
level - int

Set the chatter setting used by the X-Spec routines for determining what information gets printed to the screen. It is equivalent to the X-Spec chatter command [1] .

Set the chatter level to hide most, if not all, output from X-Spec models:

>>> set_xschatter(0)

PARAMETERS

The parameter for this function is:

Parameter
Definition
level
The higher the value of level , the more screen output will be created by X-Spec routines. A value of 0 hides most information while 25 will generate a lot of debug output. The starting value is 10 .

Notes

There is no way to change the X-Spec "log chatter" setting.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSchatter.html Note that this may refer to a newer version than the compiled version used by Sherpa; use `get_xsversion` to check.

Changes in CIAO

The default chatter setting has been bumped from 0 to 10 to match XSPEC. Users will see extra screen output the first time some XSPEC models are evaluated.

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023